# uproot.source.futures.Worker

Defined in uproot.source.futures on line 156.

Inheritance order:
`threading.Thread`

class uproot.source.futures.Worker(work_queue: Queue)
  Parameters:

    work_queue (`queue.Queue`) – The worker calls `get` on this queue for tasks in the form of uproot.source.futures.Future objects and runs them. If it ever gets a None value, the thread is stopped.

  A `threading.Thread` for the uproot.ThreadPoolExecutor.

## work_queue

Worker.work_queue

  The worker calls `get` on this queue for tasks in the form of uproot.source.futures.Future objects and runs them. If it ever gets a None value, the thread is stopped.

## run

Worker.run()

  Listens to the work_queue and executes each uproot.source.futures.Future it receives until it receives None.